Package org.silverpeas.looks.aurora

## Class AuroraSpaceHomePage

- java.lang.Object
- - org.silverpeas.looks.aurora.AuroraSpaceHomePage

-     public class AuroraSpaceHomePage
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `TEMPLATE_NAME` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AuroraSpaceHomePage​(LookAuroraHelper look, org.silverpeas.core.admin.space.SpaceInstLight space)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `List<org.silverpeas.core.admin.user.model.UserDetail>` | `getAdmins()` |
    `List<App>` | `getApps()` |
    `String` | `getBackOfficeURL()` |
    `String` | `getCustomFormContent()` |
    `Map<AuroraSpaceHomePageZone,​FreeZone>` | `getFreeZones()` |
    `List<org.silverpeas.components.gallery.model.Media>` | `getLatestMedias()` |
    `NewsList` | `getNews()` |
    `NewUsersList` | `getNewUsers()` |
    `NextEvents` | `getNextEvents()` |
    `List<org.silverpeas.core.contribution.publication.model.PublicationDetail>` | `getPublications()` |
    `String` | `getSecondPicture()` |
    `String` | `getSecondPictureLink()` |
    `List<org.silverpeas.core.web.look.Shortcut>` | `getShortcuts()` |
    `Space` | `getSpace()` |
    `List<Space>` | `getSubSpaces()` |
    `String` | `getTaxonomyMode()` |
    `List<org.silverpeas.core.admin.user.model.User>` | `getUsers()` |
    `String` | `getUsersLabel()` |
    `boolean` | `isAdmin()` |
    `boolean` | `isTaxonomyEnabled()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TEMPLATE_NAME

          public static final String TEMPLATE_NAME

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### AuroraSpaceHomePage

          public AuroraSpaceHomePage​(LookAuroraHelper look,
                                     org.silverpeas.core.admin.space.SpaceInstLight space)

  - ### Method Detail

    - #### getSpace

          public Space getSpace()

    - #### getPublications

          public List<org.silverpeas.core.contribution.publication.model.PublicationDetail> getPublications()

    - #### getNews

          public NewsList getNews()

    - #### getFreeZones

          public Map<AuroraSpaceHomePageZone,​FreeZone> getFreeZones()

    - #### isTaxonomyEnabled

          public boolean isTaxonomyEnabled()

    - #### getTaxonomyMode

          public String getTaxonomyMode()

    - #### getSubSpaces

          public List<Space> getSubSpaces()

    - #### getApps

          public List<App> getApps()

    - #### getAdmins

          public List<org.silverpeas.core.admin.user.model.UserDetail> getAdmins()

    - #### getNextEvents

          public NextEvents getNextEvents()

    - #### getLatestMedias

          public List<org.silverpeas.components.gallery.model.Media> getLatestMedias()

    - #### getSecondPicture

          public String getSecondPicture()

    - #### getSecondPictureLink

          public String getSecondPictureLink()

    - #### getUsers

          public List<org.silverpeas.core.admin.user.model.User> getUsers()

    - #### getUsersLabel

          public String getUsersLabel()

    - #### getShortcuts

          public List<org.silverpeas.core.web.look.Shortcut> getShortcuts()

    - #### getNewUsers

          public NewUsersList getNewUsers()

    - #### isAdmin

          public boolean isAdmin()

    - #### getBackOfficeURL

          public String getBackOfficeURL()

    - #### getCustomFormContent

          public String getCustomFormContent()